package org.openxri.plugin.impl;

import java.io.IOException;
import java.util.Properties;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.openxri.config.impl.AbstractComponent;
import org.openxri.plugin.Plugin;

/**
 * A plugin that can issues a HTTP redirect to a preconfigured URI.
 * 
 * @author =peacekeeper
 */
public class RedirectPlugin extends AbstractComponent implements Plugin {

	private static Log log = LogFactory.getLog(RedirectPlugin.class.getName());
	
	public static final String PROPERTIES_KEY_URI = "uri";

	private String uri;
	
	public RedirectPlugin(Properties properties) {

		super(properties);
		
		this.uri = properties.getProperty(PROPERTIES_KEY_URI);
	}

	public void init() {

		// do nothing
	}

	public boolean processCustomRequest(HttpServletRequest request, HttpServletResponse response) throws IOException {

		log.trace("processCustomRequest()");
		
		// redirect to static URI
		
		log.debug("redirecting to " + this.uri);
		
		response.sendRedirect(this.uri);

		// request successfully handled

		return(true);
	}

	public void shutdown() {

		// do nothing
	}
}
