package org.openxri.server.impl;

import java.util.Properties;

import org.openxri.config.impl.AbstractComponent;
import org.openxri.exceptions.ServerException;
import org.openxri.server.Server;
import org.openxri.xml.XRDS;

/**
 * A server that returns only empty XRDSes.
 * 
 * @author =peacekeeper
 */
public class NullServer extends AbstractComponent implements Server {

	protected static XRDS xrds = new XRDS();

	public NullServer(Properties properties) {

		super(properties);
	}

	public void init() {

	}

	public XRDS lookupSelfDescribing(String namespace, boolean signed) throws ServerException {

		return(xrds);
	}

	public XRDS lookupByNamespace(String namespace, String query, boolean signed) throws ServerException {

		return(xrds);
	}

	public XRDS lookupByPath(String path, boolean signed) throws ServerException {

		return(xrds);
	}
}
