package org.openxri.store;

import org.openxri.exceptions.StoreException;

/**
 * Methods for getting statistics out of a store.
 * 
 * @author =peacekeeper
 */
public interface StoreStatistics {

	/**
	 * @return The number of authorities in the store
	 */
	public Long getAuthorityCount() throws StoreException;
	
	/**
	 * @return The number of subsegments in the store
	 */
	public Long getSubSegmentCount() throws StoreException;
}
