package org.openxri.store.impl.db;

import java.sql.Timestamp;
import java.util.Map;

import org.hibernate.Session;

public class DbStoreData {

	private static final long serialVersionUID = -4955787059210404122L;

	private Long id;
	private Timestamp timestamp;
	private Map<String, String> attributes;

	DbStoreData() {

	}

	Long getId() {

		return(this.id);
	}

	void setId(Long id) {

		this.id = id;
	}

	Timestamp getTimestamp() {

		return(this.timestamp);
	}

	void setTimestamp(Timestamp timestamp) {

		this.timestamp = timestamp;
	}

	Map<String, String> getAttributes() {

		return(this.attributes);
	}

	void setAttributes(Map<String, String> attributes) {

		this.attributes = attributes;
	}

	@SuppressWarnings("unchecked")
	static DbStoreData Singleton(Session session) {

		DbStoreData result = (DbStoreData) session.getNamedQuery(DbStoreData.class.getName() + ".Singleton")
		.uniqueResult();

		return(result);
	}

	static int DeleteAll(Session session) {

		int number = session.getNamedQuery(DbStoreData.class.getName() + ".DeleteAll")
		.executeUpdate();

		return(number);
	}

	static Long Count(Session session) {

		Long result = (Long) session.getNamedQuery(DbStoreData.class.getName() + ".Count")
		.uniqueResult();

		return(result);
	}
}
